package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

import com.ym.mec.common.entity.BaseEntity;

public class PayParamBasicDto extends BaseEntity implements Serializable {
    @ApiModelProperty(value = "是否使用余额", required = false)
    private Boolean isUseBalancePayment = false;

    @ApiModelProperty(value = "是否继续支付", required = false)
    private Boolean isRepeatPay = false;

    @ApiModelProperty(value = "优惠券列表", required = false)
    private List<Integer> couponIdList;

    public List<Integer> getCouponIdList() {
        return couponIdList;
    }

    public void setCouponIdList(List<Integer> couponIdList) {
        this.couponIdList = couponIdList;
    }

    public Boolean getUseBalancePayment() {
        return isUseBalancePayment;
    }

    public void setUseBalancePayment(Boolean useBalancePayment) {
        isUseBalancePayment = useBalancePayment;
    }

    public Boolean getRepeatPay() {
        return isRepeatPay;
    }

    public void setRepeatPay(Boolean repeatPay) {
        isRepeatPay = repeatPay;
    }
}
